#4 freeglut detection/installation fails on Windows/64bit

POGL 0.xx
open-accepted
None
5
2013-11-10
2011-10-16
kmx
No

Hi,

freeglut related magic in Makefile.PL is somehow broken when trying to install OpenGL on 64bit MS Windows.

1/ The main reason is that Makefile.PL tries to install 32bit freeglut.dll into my 64bit strawberry perl and to link with it

2/ Makefile.PL ignores the fact that my strawberry perl contains all necessary *.dll + *.a + *.h files related to freeglut-2.6.0 (beware: for some reasons it does not understand linker option -lfreeglut but -lglut) - this should be also taken into account also for 32bit strawberry perl

I know that Chris gave me commit access to POGL repo so I should probably provide a patch for this; however I am currently not able to spend enough time on a quite complicated Makefile.PL

--
kmx

Discussion

  • Chris Marshall
    Chris Marshall
    2011-10-16

    Thanks for the bug report, kmx. I'm still planning to add real detection
    for OpenGL builds and to remove an explicit dependency on the choice
    of GUI toolkit (i.e., FreeGLUT...) but haven't gotten to it yet. You might
    try a ppm install from Rob's build of OpenGL-0.65 as a work-around:

    http://www.sisyphusion.tk/ppmindex.html

    Hope this helps.

     
  • Chris Marshall
    Chris Marshall
    2011-10-16

    • status: open --> open-accepted
     
  • Chris Marshall
    Chris Marshall
    2011-10-16

    BTW, which strawberry perl version(s) were you reporting
    for, any/all of them?

     
  •  kmx
    kmx
    2011-10-16

    as for the version - I have experienced troubles with strawberryperl 5.12.1.0/64bit

    freeglut-2.6.0 is a part of all strawberry releases since April 2010 - therefore I guess it should be properly detected in Makefile.PL before it falls back to installing DLL embeded in OPGL

    After a little tweaking I have managed to install OpenGL on 64bit/MSWin (hack was not so complicated) - I have started this ticket as it might not be so simple for "common users"

     
  •  kmx
    kmx
    2011-10-16

    More info what works in strawberry:

    1/ headers

    you can simply
    #include <GL/glut.h>
    or
    #include <GL/freeglut.h>

    without any additional -Ipath/to/inc/dir

    2/ linker options

    -lglut works (-lfreeglut DOES NOT)

    again without any additional -Lpath/to/lib/dir

     
  • Chris Marshall
    Chris Marshall
    2013-09-24

    As part of the modern OpenGL update to POGL, I'm spinning off the FreeGLUT/GLUT
    support into its own module. I'll make sure the detection works there---finally!
    A move to Alien::GLUT, Alien::OpenGL,... is planned as the ultimate fix.

     
  • Chris Marshall
    Chris Marshall
    2013-09-29

    I've just pushed OpenGL-0.6701 with a hack-around the detection problems for strawberry perl. Based on a direct check for strawberry perl but it appears to work.

     
  • Chris Marshall
    Chris Marshall
    2013-09-29

    • assigned_to: Chris Marshall
    • Group: --> POGL 0.xx
     
  • Hi Chris,

    the same problem happens on CitrusPerl 5.14, but the fix doesn't work because it doesn't ship with FreeGLUT. What is your recommended way to install in this case?
    Have you considered bundling a 64bit .dll too?

     
  • Chris Marshall
    Chris Marshall
    2013-11-10

    Does the PPM install from the easy install option from
    http://pdl.perl.org/?page=install work?
    Ultimately, I plan to implement an Alien::FreeGLUT module to allow for
    automated installs
    via CPAN.

    On Sun, Nov 10, 2013 at 12:30 PM, Alessandro Ranellucci
    alexrj@users.sf.net wrote:

    Hi Chris,

    the same problem happens on CitrusPerl 5.14, but the fix doesn't work
    because it doesn't ship with FreeGLUT. What is your recommended way to
    install in this case?
    Have you considered bundling a 64bit .dll too?


    [bugs:#4] freeglut detection/installation fails on Windows/64bit

    Status: open-accepted
    Created: Sun Oct 16, 2011 07:46 PM UTC by kmx
    Last Updated: Sun Sep 29, 2013 06:15 PM UTC
    Owner: Chris Marshall

    Hi,

    freeglut related magic in Makefile.PL is somehow broken when trying to
    install OpenGL on 64bit MS Windows.

    1/ The main reason is that Makefile.PL tries to install 32bit freeglut.dll
    into my 64bit strawberry perl and to link with it

    2/ Makefile.PL ignores the fact that my strawberry perl contains all
    necessary .dll + .a + *.h files related to freeglut-2.6.0 (beware: for
    some reasons it does not understand linker option -lfreeglut but -lglut) -
    this should be also taken into account also for 32bit strawberry perl

    I know that Chris gave me commit access to POGL repo so I should probably
    provide a patch for this; however I am currently not able to spend enough
    time on a quite complicated Makefile.PL

    --
    kmx


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/pogl/bugs/4/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     
    • Sisyphus
      Sisyphus
      2013-11-11

      Oops ... missed cc'ing pogl:bugs.

      Hi Chris,

      No - that page is somewhat outdated and inaccurate in some significant ways,
      though the 2 other sources it indicates:

      http://sourceforge.net/apps/mediawiki/pdl/index.php?title=Installing_PDL_on_Windows
      and
      win32/INSTALL file

      are up-to-date. (Actually, the INSTALL file still contains a reference to
      the fftw2 build of PDL::FFTW being achievable via perldl.conf - I'll fix
      that.)

      Is there some way the wiki page can be placed into "The easiest possible
      install" slot ?
      Assuming I can edit the pdl.perl.org page, I've no objection to
      copy'n'pasting (with minor edits, if needed) the wiki page into that slot
      each time I alter the wiki ... but I don't want to have to write and
      maintain yet-another-rendition of a "How To".

      Cheers,
      Rob

      -----Original Message-----
      From: Chris Marshall
      Sent: Monday, November 11, 2013 4:39 AM
      To: [pogl:bugs]
      Cc: Sisyphus
      Subject: Re: [pogl:bugs] #4 freeglut detection/installation fails on
      Windows/64bit

      Does the PPM install from the easy install option from
      http://pdl.perl.org/?page=install work?
      Ultimately, I plan to implement an Alien::FreeGLUT module to allow for
      automated installs
      via CPAN.

      On Sun, Nov 10, 2013 at 12:30 PM, Alessandro Ranellucci
      alexrj@users.sf.net wrote:

      Hi Chris,

      the same problem happens on CitrusPerl 5.14, but the fix doesn't work
      because it doesn't ship with FreeGLUT. What is your recommended way to
      install in this case?
      Have you considered bundling a 64bit .dll too?


      [bugs:#4] freeglut detection/installation fails on Windows/64bit

      Status: open-accepted
      Created: Sun Oct 16, 2011 07:46 PM UTC by kmx
      Last Updated: Sun Sep 29, 2013 06:15 PM UTC
      Owner: Chris Marshall

      Hi,

      freeglut related magic in Makefile.PL is somehow broken when trying to
      install OpenGL on 64bit MS Windows.

      1/ The main reason is that Makefile.PL tries to install 32bit freeglut.dll
      into my 64bit strawberry perl and to link with it

      2/ Makefile.PL ignores the fact that my strawberry perl contains all
      necessary .dll + .a + *.h files related to freeglut-2.6.0 (beware: for
      some reasons it does not understand linker option -lfreeglut but -lglut) -
      this should be also taken into account also for 32bit strawberry perl

      I know that Chris gave me commit access to POGL repo so I should probably
      provide a patch for this; however I am currently not able to spend enough
      time on a quite complicated Makefile.PL

      --
      kmx

       

      Related

      OpenEMR: Bugs: #4